# ##############################################################################
#
#
#
# ##############################################################################

onerror {resume}
quietly WaveActivateNextPane {} 0

# Spi Input
add wave -noupdate -expand -group SPI_SIGNALS -color Orange /main/DUT/cmp_spi_rmq_bridge/spi_clk_i
add wave -noupdate -expand -group SPI_SIGNALS -color Orange /main/DUT/cmp_spi_rmq_bridge/spi_cs_n_i
add wave -noupdate -expand -group SPI_SIGNALS -color Orange /main/DUT/cmp_spi_rmq_bridge/spi_mosi_i
add wave -noupdate -expand -group SPI_SIGNALS -color Orange /main/DUT/cmp_spi_rmq_bridge/spi_miso_o

# Internal FSM
add wave -noupdate -expand -group SPI_FSM -color GReen /main/DUT/cmp_spi_rmq_bridge/clk_i
add wave -noupdate -expand -group SPI_FSM -color GReen /main/DUT/cmp_spi_rmq_bridge/rst_n_i
add wave -noupdate -expand -group SPI_FSM -color Red /main/DUT/cmp_spi_rmq_bridge/s_spi_state
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_spi_cs_n
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/sample_en
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/shift_en
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_tx_shreg
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_rx_shreg
add wave -noupdate -expand -radix unsigned -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_tx_bit_c
add wave -noupdate -expand -radix unsigned -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_rx_bit_c
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_rmq_id
add wave -noupdate -expand -radix unsigned -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_data_len
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_crtl_flags
add wave -noupdate -expand -radix unsigned -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_wr_word_c
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_data_valid
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_data_header
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_data_last
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_data_error
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_ready
add wave -noupdate -expand -group SPI_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_read_last

# Write FSM
add wave -noupdate -expand -group WR_RMQ_FSM -color GReen /main/DUT/cmp_spi_rmq_bridge/clk_i
add wave -noupdate -expand -group WR_RMQ_FSM -color GReen /main/DUT/cmp_spi_rmq_bridge/rst_n_i
add wave -noupdate -expand -group WR_RMQ_FSM -color Red /main/DUT/cmp_spi_rmq_bridge/s_wr_rmq_state
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/s_mosi_fifo_data_in
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/s_mosi_header
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/s_mosi_last
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/s_mosi_error

# Mosi FIFO
add wave -noupdate -expand -group WR_RMQ_FSM -color Green /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/rst_n_i
add wave -noupdate -expand -group WR_RMQ_FSM -color Green /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/clk_i
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/d_i
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/we_i
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/full_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/q_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/empty_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/rd_i
add wave -noupdate -expand -group WR_RMQ_FSM -color Blue /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/almost_empty_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Blue /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/almost_full_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Blue /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_input_fifo/count_o

# Output RMQ
add wave -noupdate -expand -group WRITE_RMQ -color White /main/DUT/cmp_spi_rmq_bridge/rst_n_i
add wave -noupdate -expand -group WRITE_RMQ -color White /main/DUT/cmp_spi_rmq_bridge/clk_i
add wave -noupdate -expand -group WRITE_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_src_o.data
add wave -noupdate -expand -group WRITE_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_src_o.hdr
add wave -noupdate -expand -group WRITE_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_src_o.valid
add wave -noupdate -expand -group WRITE_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_src_o.last
add wave -noupdate -expand -group WRITE_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_src_o.error
add wave -noupdate -expand -group WRITE_RMQ -color Green /main/DUT/cmp_spi_rmq_bridge/rmq_src_i.ready
add wave -noupdate -expand -group WRITE_RMQ -color Green /main/DUT/cmp_spi_rmq_bridge/rmq_src_i.pkt_ready

# Input RMQ
add wave -noupdate -expand -group READ_RMQ -color White /main/DUT/cmp_spi_rmq_bridge/rst_n_i
add wave -noupdate -expand -group READ_RMQ -color White /main/DUT/cmp_spi_rmq_bridge/clk_i
add wave -noupdate -expand -group READ_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_snk_i.data
add wave -noupdate -expand -group READ_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_snk_i.hdr
add wave -noupdate -expand -group READ_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_snk_i.valid
add wave -noupdate -expand -group READ_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_snk_i.last
add wave -noupdate -expand -group READ_RMQ -color Yellow /main/DUT/cmp_spi_rmq_bridge/rmq_snk_i.error
add wave -noupdate -expand -group READ_RMQ -color Green /main/DUT/cmp_spi_rmq_bridge/rmq_snk_o.ready
add wave -noupdate -expand -group READ_RMQ -color Green /main/DUT/cmp_spi_rmq_bridge/rmq_snk_o.pkt_ready

# FIFO READ RMQ
add wave -noupdate -expand -group WR_RMQ_FSM -color Green /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/rst_n_i
add wave -noupdate -expand -group WR_RMQ_FSM -color Green /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/clk_i
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/d_i
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/we_i
add wave -noupdate -expand -group WR_RMQ_FSM -color White /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/full_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/q_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/empty_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/rd_i
add wave -noupdate -expand -group WR_RMQ_FSM -color Blue /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/almost_empty_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Blue /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/almost_full_o
add wave -noupdate -expand -group WR_RMQ_FSM -color Blue /main/DUT/cmp_spi_rmq_bridge/gen_mosi_fifo/cmp_output_fifo/count_o

# READ FSM
add wave -noupdate -expand -group RD_RMQ_FSM -color GReen /main/DUT/cmp_spi_rmq_bridge/rst_n_i
add wave -noupdate -expand -group RD_RMQ_FSM -color GReen /main/DUT/cmp_spi_rmq_bridge/clk_i
add wave -noupdate -expand -group RD_RMQ_FSM -color Violet /main/DUT/cmp_spi_rmq_bridge/s_rd_rmq_state
add wave -noupdate -expand -group RD_RMQ_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_miso_wr_en
add wave -noupdate -expand -group RD_RMQ_FSM -color Yellow /main/DUT/cmp_spi_rmq_bridge/s_miso_fifo_data_in

#
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {5542152000 ps} 0}
quietly wave cursor active 1
configure wave -namecolwidth 568
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {5541518608 ps} {5575594505 ps}
